NX Open C++ Reference Guide
|
Represents a Overcrown Builder
To create an instance of this this class use Features::FeatureCollection::CreateOvercrownFeatureBuilder
Created in NX4.0.0.
More...
Public Types | |
enum | ControlType { ControlTypeByFunction, ControlTypeBySurface } |
This enum represents the control type of Global Shaping Operation. More... | |
enum | OperationType { OperationTypeOvercrown, OperationTypeStretch, OperationTypeOffset } |
This enum represents the type of Global Shaping Operation. More... | |
enum | OutputType { OutputTypeSheet, OutputTypeSolid } |
This enum represents the output type of Global Shaping Operation. More... | |
enum | TransitionType { TransitionTypeCurve1, TransitionTypeCurve2, TransitionTypeLawCurve } |
This enum represents the transition type of Global Shaping Operation. More... | |
Public Member Functions | |
double | AngularTolerance () |
Returns the angular tolerance. | |
NXOpen::Body * | BaseSurface () |
Returns the Base Surface when the Global Shaping Operator control is by Function. | |
NXOpen::Section * | BoundarySection () |
Returns the boundary section. | |
NXOpen::Body * | ControlSurface () |
Returns the Control Surface when the Global Shaping Operator control is by Function. | |
NXOpen::Direction * | Direction () |
Returns the direction of deformation. | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
std::vector< NXOpen::NXObject * > | GetTargetFaces () |
The target faces for the Global Shaping Operator. | |
NXString | Height () |
Returns the maximum height of deformation. | |
void | InitData () |
Initializes the builder. | |
NXOpen::Features::OvercrownBuilder::ControlType | OperatorControlType () |
Returns the controlling type Global Shaping Operation. | |
NXOpen::Features::OvercrownBuilder::OperationType | OperatorOperationType () |
Returns the Type of Global Shaping Operation. | |
NXOpen::Features::OvercrownBuilder::OutputType | OperatorOutputType () |
Returns the output type Global Shaping Operation. | |
NXOpen::Features::OvercrownBuilder::TransitionType | OperatorTransitionType () |
Returns the Transition option for Global Shaping Operator. | |
NXOpen::NXObject * | PointInFormingRegion () |
Returns the point in forming region. | |
int | ReverseNormal () |
Returns the reverse normal flag for the target faces. | |
void | SetAngularTolerance (double angularTolerance) |
Sets the angular tolerance. | |
void | SetBaseSurface (NXOpen::Body *base) |
Sets the Base Surface when the Global Shaping Operator control is by Function. | |
void | SetBoundarySection (NXOpen::Section *section) |
Sets the boundary section. | |
void | SetCenterPoint () |
Sets the point in forming region. | |
void | SetControlSurface (NXOpen::Body *control) |
Sets the Control Surface when the Global Shaping Operator control is by Function. | |
void | SetDefaultDirection () |
The default direction. | |
void | SetDirection (NXOpen::Direction *direction) |
Sets the direction of deformation. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetHeight (const NXString &heightExpression) |
Sets the maximum height of deformation. | |
void | SetHeight (const char *heightExpression) |
Sets the maximum height of deformation. | |
void | SetOperatorControlType (NXOpen::Features::OvercrownBuilder::ControlType type) |
Sets the controlling type Global Shaping Operation. | |
void | SetOperatorOperationType (NXOpen::Features::OvercrownBuilder::OperationType type) |
Sets the Type of Global Shaping Operation. | |
void | SetOperatorOutputType (NXOpen::Features::OvercrownBuilder::OutputType type) |
Sets the output type Global Shaping Operation. | |
void | SetOperatorTransitionType (NXOpen::Features::OvercrownBuilder::TransitionType type) |
Sets the Transition option for Global Shaping Operator. | |
void | SetPointInFormingRegion (NXOpen::NXObject *point) |
Sets the point in forming region. | |
void | SetReverseNormal (int reverseNormal) |
Sets the reverse normal flag for the target faces. | |
void | SetShapeControl (double shape) |
Sets the shape control parameter. | |
void | SetStretchDirection (NXOpen::Direction *stretch) |
Sets the stretch direction of deformation. | |
void | SetTargetFaces (const std::vector< NXOpen::NXObject * > &faces) |
Sets the target faces for the Global Shaping Operator. | |
double | ShapeControl () |
Returns the shape control parameter. | |
NXOpen::Direction * | StretchDirection () |
Returns the stretch direction of deformation. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Overcrown Builder
To create an instance of this this class use Features::FeatureCollection::CreateOvercrownFeatureBuilder
Created in NX4.0.0.
double NXOpen::Features::OvercrownBuilder::AngularTolerance | ( | ) |
Returns the angular tolerance.
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Body* NXOpen::Features::OvercrownBuilder::BaseSurface | ( | ) |
Returns the Base Surface when the Global Shaping Operator control is by Function.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::Features::OvercrownBuilder::BoundarySection | ( | ) |
Returns the boundary section.
When Global Shaping operator control is is by Function, this section bounds the effect of the shape function
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Body* NXOpen::Features::OvercrownBuilder::ControlSurface | ( | ) |
Returns the Control Surface when the Global Shaping Operator control is by Function.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Direction* NXOpen::Features::OvercrownBuilder::Direction | ( | ) |
Returns the direction of deformation.
When Global Shaping operator control is is by Function, this direction provides the direction of influence of shape function
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::Features::OvercrownBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
std::vector<NXOpen::NXObject *> NXOpen::Features::OvercrownBuilder::GetTargetFaces | ( | ) |
The target faces for the Global Shaping Operator.
NXString NXOpen::Features::OvercrownBuilder::Height | ( | ) |
Returns the maximum height of deformation.
When Global Shaping operator control is by Function this value sets the maximum deformation height
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::OvercrownBuilder::InitData | ( | ) |
Initializes the builder.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::OvercrownBuilder::ControlType NXOpen::Features::OvercrownBuilder::OperatorControlType | ( | ) |
Returns the controlling type Global Shaping Operation.
Type can be
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::OvercrownBuilder::OperationType NXOpen::Features::OvercrownBuilder::OperatorOperationType | ( | ) |
Returns the Type of Global Shaping Operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::OvercrownBuilder::OutputType NXOpen::Features::OvercrownBuilder::OperatorOutputType | ( | ) |
Returns the output type Global Shaping Operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::OvercrownBuilder::TransitionType NXOpen::Features::OvercrownBuilder::OperatorTransitionType | ( | ) |
Returns the Transition option for Global Shaping Operator.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::NXObject* NXOpen::Features::OvercrownBuilder::PointInFormingRegion | ( | ) |
Returns the point in forming region.
When Global Shaping operator control is is by Function, this point provides the location of maximum influence of shape function
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
int NXOpen::Features::OvercrownBuilder::ReverseNormal | ( | ) |
Returns the reverse normal flag for the target faces.
Used by the Variable Offset type.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::OvercrownBuilder::SetAngularTolerance | ( | double | angularTolerance | ) |
Sets the angular tolerance.
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
angularTolerance | angular tolerance |
void NXOpen::Features::OvercrownBuilder::SetBaseSurface | ( | NXOpen::Body * | base | ) |
Sets the Base Surface when the Global Shaping Operator control is by Function.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
base | base |
void NXOpen::Features::OvercrownBuilder::SetBoundarySection | ( | NXOpen::Section * | section | ) |
Sets the boundary section.
When Global Shaping operator control is is by Function, this section bounds the effect of the shape function
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
section | section |
void NXOpen::Features::OvercrownBuilder::SetCenterPoint | ( | ) |
Sets the point in forming region.
When Global Shaping operator control is is by Function, this point provides the location of maximum influence of shape function
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::OvercrownBuilder::SetControlSurface | ( | NXOpen::Body * | control | ) |
Sets the Control Surface when the Global Shaping Operator control is by Function.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
control | control |
void NXOpen::Features::OvercrownBuilder::SetDefaultDirection | ( | ) |
The default direction.
When Global Shaping operator control is is by Function.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::OvercrownBuilder::SetDirection | ( | NXOpen::Direction * | direction | ) |
Sets the direction of deformation.
When Global Shaping operator control is is by Function, this direction provides the direction of influence of shape function
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
direction | direction |
void NXOpen::Features::OvercrownBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING")
distanceTolerance | distance tolerance |
void NXOpen::Features::OvercrownBuilder::SetHeight | ( | const NXString & | heightExpression | ) |
Sets the maximum height of deformation.
When Global Shaping operator control is by Function this value sets the maximum deformation height
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
heightExpression | height expression |
void NXOpen::Features::OvercrownBuilder::SetHeight | ( | const char * | heightExpression | ) |
Sets the maximum height of deformation.
When Global Shaping operator control is by Function this value sets the maximum deformation height
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
heightExpression | height expression |
void NXOpen::Features::OvercrownBuilder::SetOperatorControlType | ( | NXOpen::Features::OvercrownBuilder::ControlType | type | ) |
Sets the controlling type Global Shaping Operation.
Type can be
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::OvercrownBuilder::SetOperatorOperationType | ( | NXOpen::Features::OvercrownBuilder::OperationType | type | ) |
Sets the Type of Global Shaping Operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::OvercrownBuilder::SetOperatorOutputType | ( | NXOpen::Features::OvercrownBuilder::OutputType | type | ) |
Sets the output type Global Shaping Operation.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::OvercrownBuilder::SetOperatorTransitionType | ( | NXOpen::Features::OvercrownBuilder::TransitionType | type | ) |
Sets the Transition option for Global Shaping Operator.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::OvercrownBuilder::SetPointInFormingRegion | ( | NXOpen::NXObject * | point | ) |
Sets the point in forming region.
When Global Shaping operator control is is by Function, this point provides the location of maximum influence of shape function
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
point | point |
void NXOpen::Features::OvercrownBuilder::SetReverseNormal | ( | int | reverseNormal | ) |
Sets the reverse normal flag for the target faces.
Used by the Variable Offset type.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reverseNormal | reverse normal |
void NXOpen::Features::OvercrownBuilder::SetShapeControl | ( | double | shape | ) |
Sets the shape control parameter.
When Global Shaping operator control is by Function this value sets the shape control parameter for the shape function. Value is between 0.0 - 1.0
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
shape | shape |
void NXOpen::Features::OvercrownBuilder::SetStretchDirection | ( | NXOpen::Direction * | stretch | ) |
Sets the stretch direction of deformation.
When Global Shaping operator control is by Function and the type is Stretch this direction provides the stretch direction
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
stretch | stretch |
void NXOpen::Features::OvercrownBuilder::SetTargetFaces | ( | const std::vector< NXOpen::NXObject * > & | faces | ) |
Sets the target faces for the Global Shaping Operator.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
faces | target faces |
double NXOpen::Features::OvercrownBuilder::ShapeControl | ( | ) |
Returns the shape control parameter.
When Global Shaping operator control is by Function this value sets the shape control parameter for the shape function. Value is between 0.0 - 1.0
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Direction* NXOpen::Features::OvercrownBuilder::StretchDirection | ( | ) |
Returns the stretch direction of deformation.
When Global Shaping operator control is by Function and the type is Stretch this direction provides the stretch direction
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")